var search_data = {"index":{"searchIndex":["antex","command","executionfailed","missingsourcefiles","missingtargetfiles","error","job","liquidhelpers","unknownclass","measurable","invalidunit","svgbox","setbox","invalidmeasure","texbox","all_exist?()","calculate()","check_measures!()","check_source_files!()","check_status!()","check_target_files!()","compute_measures()","create_dirs()","default_unit=()","liquid_render()","liquid_render_array()","liquid_render_hash()","liquid_render_string()","load()","load()","load()","load_set_box()","measures=()","method_missing()","missing()","new()","new()","new()","prepare_code()","prepare_dirs()","prepare_files()","prepare_hash()","respond_to_missing?()","run!()","run!()","run_pipeline!()","write_code()"],"longSearchIndex":["antex","antex::command","antex::command::executionfailed","antex::command::missingsourcefiles","antex::command::missingtargetfiles","antex::error","antex::job","antex::liquidhelpers","antex::liquidhelpers::unknownclass","antex::measurable","antex::measurable::invalidunit","antex::svgbox","antex::setbox","antex::setbox::invalidmeasure","antex::texbox","antex::command#all_exist?()","antex::measurable#calculate()","antex::setbox#check_measures!()","antex::command#check_source_files!()","antex::command#check_status!()","antex::command#check_target_files!()","antex::setbox#compute_measures()","antex::job#create_dirs()","antex::measurable#default_unit=()","antex::liquidhelpers#liquid_render()","antex::liquidhelpers#liquid_render_array()","antex::liquidhelpers#liquid_render_hash()","antex::liquidhelpers#liquid_render_string()","antex::svgbox#load()","antex::setbox#load()","antex::texbox#load()","antex::job#load_set_box()","antex::measurable#measures=()","antex::measurable#method_missing()","antex::command#missing()","antex::command::new()","antex::job::new()","antex::measurable::new()","antex::job#prepare_code()","antex::job#prepare_dirs()","antex::job#prepare_files()","antex::job#prepare_hash()","antex::measurable#respond_to_missing?()","antex::command#run!()","antex::job#run!()","antex::job#run_pipeline!()","antex::job#write_code()"],"info":[["Antex","","Antex.html","",""],["Antex::Command","","Antex/Command.html","","<p>This class encapsulates the execution of a command line that needs some source files to produce some …\n"],["Antex::Command::ExecutionFailed","","Antex/Command/ExecutionFailed.html","",""],["Antex::Command::MissingSourceFiles","","Antex/Command/MissingSourceFiles.html","",""],["Antex::Command::MissingTargetFiles","","Antex/Command/MissingTargetFiles.html","",""],["Antex::Error","","Antex/Error.html","",""],["Antex::Job","","Antex/Job.html","","<p>This class is the beating heart of {Antex}.\n<p>The simplest usage of this gem involves three steps:\n\n<pre class=\"ruby\"><span class=\"ruby-comment\"># 1. Get ...</span>\n</pre>\n"],["Antex::LiquidHelpers","","Antex/LiquidHelpers.html","","<p>Exposes helper methods to simplify <code>Liquid</code> templates rendering.\n"],["Antex::LiquidHelpers::UnknownClass","","Antex/LiquidHelpers/UnknownClass.html","",""],["Antex::Measurable","","Antex/Measurable.html","","<p>Implements an easy to use container for storing measures and retrieving them performing unit conversions. …\n"],["Antex::Measurable::InvalidUnit","","Antex/Measurable/InvalidUnit.html","",""],["Antex::SVGBox","","Antex/SVGBox.html","","<p>Loads and manages measures for <code>SVG</code> pictures.\n"],["Antex::SetBox","","Antex/SetBox.html","","<p>Encapsulates calculations and results for perfectly typesetting the <code>SVG</code> vectorial conversion of a <code>TeX</code> …\n"],["Antex::SetBox::InvalidMeasure","","Antex/SetBox/InvalidMeasure.html","",""],["Antex::TexBox","","Antex/TexBox.html","","<p>Loads and manages measures for <code>TeX</code> boxes.\n"],["all_exist?","Antex::Command","Antex/Command.html#method-i-all_exist-3F","(files)",""],["calculate","Antex::Measurable","Antex/Measurable.html#method-i-calculate","(metric, unit = @default_unit)",""],["check_measures!","Antex::SetBox","Antex/SetBox.html#method-i-check_measures-21","()",""],["check_source_files!","Antex::Command","Antex/Command.html#method-i-check_source_files-21","()",""],["check_status!","Antex::Command","Antex/Command.html#method-i-check_status-21","()",""],["check_target_files!","Antex::Command","Antex/Command.html#method-i-check_target_files-21","()",""],["compute_measures","Antex::SetBox","Antex/SetBox.html#method-i-compute_measures","()","<p>Memorandum:\n\n<pre>.--&gt; x     ml    fit.dx     mr\n|         |--|-------------|--|\nv y\n       -  ,-------------------. ...</pre>\n"],["create_dirs","Antex::Job","Antex/Job.html#method-i-create_dirs","()",""],["default_unit=","Antex::Measurable","Antex/Measurable.html#method-i-default_unit-3D","(unit)",""],["liquid_render","Antex::LiquidHelpers","Antex/LiquidHelpers.html#method-i-liquid_render","(object, context_hash = {})","<p>Recursively renders <code>Liquid</code> template strings, possibly organized in nested arrays and hashes, using the …\n"],["liquid_render_array","Antex::LiquidHelpers","Antex/LiquidHelpers.html#method-i-liquid_render_array","(array, context_hash = {})",""],["liquid_render_hash","Antex::LiquidHelpers","Antex/LiquidHelpers.html#method-i-liquid_render_hash","(hash, context_hash = {})",""],["liquid_render_string","Antex::LiquidHelpers","Antex/LiquidHelpers.html#method-i-liquid_render_string","(string, context_hash = {})",""],["load","Antex::SVGBox","Antex/SVGBox.html#method-i-load","(filepath)","<p>Loads an <code>SVG</code> file and extracts the measures of its <code>viewBox</code>.\n<p>@param filepath [String] the path of the  …\n"],["load","Antex::SetBox","Antex/SetBox.html#method-i-load","(yml:, tfm:, fit:)","<p>@param yml [String] path of the <code>YAML</code> file containing <code>TeX</code> measures @param tfm [String] path of the <code>SVG</code> …\n"],["load","Antex::TexBox","Antex/TexBox.html#method-i-load","(filepath)","<p>Loads a <code>YAML</code> file containing <code>TeX</code> measures.\n<p>The expected input is a hash of named <code>pt</code> lenghts. E.g.:\n\n<pre>pt: ...</pre>\n"],["load_set_box","Antex::Job","Antex/Job.html#method-i-load_set_box","()",""],["measures=","Antex::Measurable","Antex/Measurable.html#method-i-measures-3D","(**measures)",""],["method_missing","Antex::Measurable","Antex/Measurable.html#method-i-method_missing","(method_name, *arguments, &block)","<p>Once measures are set they can be accessed and converted.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">mea</span>.<span class=\"ruby-identifier\">km</span>(<span class=\"ruby-value\">:km</span>) <span class=\"ruby-comment\"># =&gt; 1.0</span>\n<span class=\"ruby-identifier\">mea</span>.<span class=\"ruby-identifier\">km</span>(<span class=\"ruby-value\">:mi</span>) <span class=\"ruby-comment\"># =&gt; 1.610... ...</span>\n</pre>\n"],["missing","Antex::Command","Antex/Command.html#method-i-missing","(files)",""],["new","Antex::Command","Antex/Command.html#method-c-new","(name:, sources:, targets:, command_line:)","<p>Initializes the command.\n<p>@note A command with no targets will always skip\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">since</span> <span class=\"ruby-identifier\">it</span> <span class=\"ruby-identifier\">needs</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">produce</span> <span class=\"ruby-identifier\">nothing!</span>\n</pre>\n"],["new","Antex::Job","Antex/Job.html#method-c-new","(snippet: '', options: Antex::Job::DEFAULTS)","<p>@param snippet [String] <code>TeX</code> code snippet to render @param options [Hash] job options\n"],["new","Antex::Measurable","Antex/Measurable.html#method-c-new","()",""],["prepare_code","Antex::Job","Antex/Job.html#method-i-prepare_code","()",""],["prepare_dirs","Antex::Job","Antex/Job.html#method-i-prepare_dirs","()",""],["prepare_files","Antex::Job","Antex/Job.html#method-i-prepare_files","()",""],["prepare_hash","Antex::Job","Antex/Job.html#method-i-prepare_hash","()",""],["respond_to_missing?","Antex::Measurable","Antex/Measurable.html#method-i-respond_to_missing-3F","(method_name, include_private = false)",""],["run!","Antex::Command","Antex/Command.html#method-i-run-21","()","<p>Executes the command.\n<p>@raise [MissingSourceFiles] when source files are missing @raise [ExecutionFailed] …\n"],["run!","Antex::Job","Antex/Job.html#method-i-run-21","()","<p>Run the job, compile the <code>TeX</code> snippet and calculate the {#set_box}.\n"],["run_pipeline!","Antex::Job","Antex/Job.html#method-i-run_pipeline-21","()",""],["write_code","Antex::Job","Antex/Job.html#method-i-write_code","()",""]]}}